<div class="row">
  <div class="col-sm-8 col-sm-offset-2">
    <h2>Enregister un nouveau livre</h2>
    <form [formGroup]="bookForm" (ngSubmit)="onSaveBook()">
      <div class="form-group">
        <label for="title">Titre</label>
        <input type="text" formControlName="title" id="title" class="form-control" placeholder="Le titre du livre">
      </div>
      <div class="form-group">
        <label for="author">Auteur</label>
        <input type="text" formControlName="author" id="author" class="form-control" placeholder="L'auteur' du livre">
      </div>
      <div class="form-group">
        <label for="photo">Ajouter une photo</label>
        <input type="file" (change)="detectFiles($event)" class="form-control-file" accept="image/*" id="photo">
        <p class="text-success" *ngIf="fileUploaded">Fichier chargé !</p>
      </div>
      <button class="btn btn-success" type="submit" [disabled]="bookForm.invalid || fileIsUploading">
        Enregister
      </button>
    </form>
  </div>
</div>